Upgrade PortSIP PBX

Start upgrading

Windows

  1. 1.
    Ensure your current installation is v12.6.x
  2. 3.
    After downloading the v12.6.6 installer for Windows, you only need to double-click the installer, which will guide you through the upgrade process.

Linux

Please perform the below commands to upgrade.
Note:
  • The IP_ADDRESS is the IP address of your PBX server. In this case it is 66.175.222.20, you will need to change it by yourself, if your server is on public internet network, this IP should be the public IP.
  • The POSTGRES_PASSWORD is used to specify the PortSIP DB password. In this case we will use 123456, you can change it by yourself.
The OS required:
  • CentOS: 7.9
  • Ubuntu: 18.04, 20.04
  • Debian: 10.x
  • Only supports 64bit OS
From v12.6.1, the PortSIP PBX requires running with the above Linux OS versions. If there already installed the PortSIP PBX which is less than v12.6.1, and wish to upgrade to v12.6.1 or a later version, must upgrade the Linux OS to the above version before upgrading the PortSIP PBX.
Please replace the IP 66.175.222.20 with your PBX IP; feel free to choose a string for the POSTGRES_PASSWORD
For CentOS/Ubuntu/Debian, use the below commands to perform upgrading.
1
# su root
2
# docker stop -t 120 portsip-pbx
3
# docker rm -f portsip-pbx
4
# sudo curl https://raw.githubusercontent.com/portsip/portsip-pbx-sh/master/v12.6.x/install_pbx_docker.sh|bash
5
# docker pull portsip/pbx:12
6
# docker container run -d --name portsip-pbx \
7
--restart=always --cap-add=SYS_PTRACE \
8
--network=host -v /var/lib/portsip:/var/lib/portsip \
9
-v /etc/localtime:/etc/localtime:ro \
10
-e POSTGRES_PASSWORD="123456" \
11
-e POSTGRES_LISTEN_ADDRESSES="*" \
12
-e IP_ADDRESS="66.175.222.20" portsip/pbx:12
Copied!